Index: ddccontrol/configure.ac
===================================================================
--- ddccontrol.orig/configure.ac
+++ ddccontrol/configure.ac
@@ -16,6 +16,7 @@ AC_PROG_CC
 AC_PROG_INSTALL
 AC_PROG_LIBTOOL
 AC_PROG_INTLTOOL
+PKG_PROG_PKG_CONFIG
 
 AC_LANG([C])
 
@@ -233,7 +234,8 @@ AC_CONFIG_FILES([
 	po/Makefile.in
 	Makefile
 	src/Makefile
-	src/lib/Makefile 
+	src/lib/Makefile
+	src/lib/ddccontrol.pc
 	src/ddccontrol/Makefile
 	src/gddccontrol/Makefile
 	src/ddcpci/Makefile
Index: ddccontrol/src/lib/ddccontrol.pc.in
===================================================================
--- /dev/null
+++ ddccontrol/src/lib/ddccontrol.pc.in
@@ -0,0 +1,13 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+datarootdir = @datarootdir@
+bindir=@bindir@
+datadir=@datadir@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: ddccontrol
+Description: Display DDC/CI control
+Version: @VERSION@
+Libs: -L${libdir} -lddccontrol
+Cflags: -I${includedir}
Index: ddccontrol/src/lib/Makefile.am
===================================================================
--- ddccontrol.orig/src/lib/Makefile.am
+++ ddccontrol/src/lib/Makefile.am
@@ -3,6 +3,10 @@ INCLUDES = -I@top_srcdir@/src -DLOCALEDI
 
 pkginclude_HEADERS = conf.h monitor_db.h ddcci.h ddcpci-ipc.h
 
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = ddccontrol.pc
+
+$(pkgconfig_DATA): $(srcdir)/ddccontrol.pc.in $(top_builddir)/config.status
 
 lib_LTLIBRARIES = libddccontrol.la
 
